# LibBoard::Rect Struct Reference

Struct representing a rectangle on the plane. More...

`#include <Rect.h>`

List of all members.

## Public Member Functions

| Rect (double left=0.0f, double top=0.0f, double width=0.0f, double height=0.0f)
Point | topLeft ()
Point | topRight ()
Point | bottomLeft ()
Point | bottomRight ()

## Public Attributes

double | left
double | top
double | width
double | height

## Detailed Description

Struct representing a rectangle on the plane.

The Rectangle structure.

## Constructor & Destructor Documentation

LibBoard::Rect::Rect | ( | double | left = `0.0f`,
|  | double | top = `0.0f`,
|  | double | width = `0.0f`,
|  | double | height = `0.0f` |
| ) |  |  | `[inline]`

Rect constructor.

Parameters:

  | left |
  | top |
  | width |
  | height |

Returns:

## Member Data Documentation

double LibBoard::Rect::height

Height of the rectangle.

Referenced by LibBoard::Line::boundingBox(), LibBoard::Path::center(), LibBoard::Board::drawBoundingBox(), LibBoard::Group::flushFIG(), operator<<(), LibBoard::Board::saveEPS(), and LibBoard::Board::saveSVG().

double LibBoard::Rect::left

Coordinate of the left side.

Examples:
  examples/koch.cpp.

Referenced by LibBoard::Line::boundingBox(), LibBoard::Path::center(), LibBoard::Board::drawBoundingBox(), LibBoard::Group::flushFIG(), operator<<(), and LibBoard::Board::saveEPS().

double LibBoard::Rect::top

Coordinate of the upper side.

Referenced by LibBoard::Line::boundingBox(), LibBoard::Path::center(), LibBoard::Board::drawBoundingBox(), LibBoard::Group::flushFIG(), operator<<(), and LibBoard::Board::saveEPS().

double LibBoard::Rect::width

Width of the rectangle.

Examples:
  examples/koch.cpp.

Referenced by LibBoard::Line::boundingBox(), LibBoard::Path::center(), LibBoard::Board::drawBoundingBox(), LibBoard::Group::flushFIG(), operator<<(), LibBoard::Board::saveEPS(), and LibBoard::Board::saveSVG().

The documentation for this struct was generated from the following file:

- include/board/Rect.h